﻿-- ----------------------------------------------------------------------- --
--     Moncai Hotkey Label Improver
--     Copyright (c) 2006-2011 Moncaí
--
--     May be copied and distributed freely as long as you do not
--     change this file.
--     
-- ----------------------------------------------------------------------- --

-- Change bindingtext
old_ActionButton_UpdateHotkeys = ActionButton_UpdateHotkeys;

-- FrameXML/ActionButton.lua:197-222
function ActionButton_UpdateHotkeys (self, actionButtonType)
	local id;
	if ( not actionButtonType ) then
		actionButtonType = "ACTIONBUTTON";
		id = self:GetID();
	else
		if ( actionButtonType == "MULTICASTACTIONBUTTON" ) then
			id = self.buttonIndex;
		else
			id = self:GetID();
		end
	end

	local hotkey = _G[self:GetName().."HotKey"];
	local key = GetBindingKey(actionButtonType..id) or
                GetBindingKey("CLICK "..self:GetName()..":LeftButton");

	-- // -- MODDED
		
	local text = GetBindingText(key, "KEY_", false);
	
	if (GetLocale() == "deDE") then 			-- // -- deDE
		text = string.gsub(text,"Ziffernblock", "Z");
		text = string.gsub(text,"ALT.STRG.F", "G-");
		text = string.gsub(text,"STRG", "C");
	else								-- // -- enGB
		text = string.gsub(text,"Num Pad", "N");
		text = string.gsub(text,"ALT.CTRL.F", "G");
		text = string.gsub(text,"CTRL", "c");
	end

	text = string.gsub(text,"ALT.CTRL", "ac");
	text = string.gsub(text,"ALT", "a");
	text = string.gsub(text,"SHIFT", "s");

	--Print(text or "?");

	-- // -- DEDDOM
	
	if ( text == "" ) then
		hotkey:SetText(RANGE_INDICATOR);
		--hotkey:SetPoint("TOPLEFT", self, "TOPLEFT", 1, -2);
		hotkey:Hide();
	else
		hotkey:SetText(text);
		--hotkey:SetPoint("TOPLEFT", self, "TOPLEFT", -2, -2);
		hotkey:Show();
	end
end